Diligent Engine API Reference: Diligent::IPipelineStateD3D11 Class Reference

Diligent Engine API Reference

Public Member Functions | List of all members
Diligent::IPipelineStateD3D11 Class Referenceabstract

Interface to the blend state object implemented in D3D11. More...

Inheritance diagram for Diligent::IPipelineStateD3D11:

## Public Member Functions
virtual ID3D11BlendState * | GetD3D11BlendState ()=0
| Returns a pointer to the ID3D11BlendState interface of the internal Direct3D11 object. More...
virtual ID3D11RasterizerState * | GetD3D11RasterizerState ()=0
| Returns a pointer to the ID3D11RasterizerState interface of the internal Direct3D11 object. More...
virtual ID3D11DepthStencilState * | GetD3D11DepthStencilState ()=0
| Returns a pointer to the ID3D11DepthStencilState interface of the internal Direct3D11 object. More...
virtual ID3D11InputLayout * | GetD3D11InputLayout ()=0
| Returns a pointer to the ID3D11InputLayout interface of the internal Direct3D11 object. More...
virtual ID3D11VertexShader * | GetD3D11VertexShader ()=0
| Returns a pointer to the ID3D11VertexShader interface of the internal vertex shader object. More...
virtual ID3D11PixelShader * | GetD3D11PixelShader ()=0
| Returns a pointer to the ID3D11PixelShader interface of the internal pixel shader object. More...
virtual ID3D11GeometryShader * | GetD3D11GeometryShader ()=0
| Returns a pointer to the ID3D11GeometryShader interface of the internal geometry shader object. More...
virtual ID3D11DomainShader * | GetD3D11DomainShader ()=0
| Returns a pointer to the ID3D11DomainShader interface of the internal domain shader object. More...
virtual ID3D11HullShader * | GetD3D11HullShader ()=0
| Returns a pointer to the ID3D11HullShader interface of the internal hull shader object. More...
virtual ID3D11ComputeShader * | GetD3D11ComputeShader ()=0
| Returns a pointer to the ID3D11ComputeShader interface of the internal compute shader object. More...
Public Member Functions inherited from Diligent::IPipelineState
virtual void | QueryInterface (const INTERFACE_ID &IID, IObject **ppInterface)=0
| Queries the specific interface, see IObject::QueryInterface() for details.
virtual const PipelineStateDesc & | GetDesc () const =0
| Returns the blend state description used to create the object.
virtual void | BindShaderResources (IResourceMapping *pResourceMapping, Uint32 Flags)=0
| Binds resources for all shaders in the pipeline state. More...
virtual void | CreateShaderResourceBinding (IShaderResourceBinding **ppShaderResourceBinding)=0
| Creates a shader resource binding object. More...

## Detailed Description

Interface to the blend state object implemented in D3D11.

## Member Function Documentation

## ◆ GetD3D11BlendState()

virtual ID3D11BlendState* Diligent::IPipelineStateD3D11::GetD3D11BlendState | ( |  | ) |
| pure virtual

Returns a pointer to the ID3D11BlendState interface of the internal Direct3D11 object.

The method does NOT call AddRef() on the returned interface, so Release() must not be called.

Implemented in Diligent::PipelineStateD3D11Impl.

## ◆ GetD3D11ComputeShader()

virtual ID3D11ComputeShader* Diligent::IPipelineStateD3D11::GetD3D11ComputeShader | ( |  | ) |
| pure virtual

Returns a pointer to the ID3D11ComputeShader interface of the internal compute shader object.

The method does NOT call AddRef() on the returned interface, so Release() must not be called.

Implemented in Diligent::PipelineStateD3D11Impl.

## ◆ GetD3D11DepthStencilState()

virtual ID3D11DepthStencilState* Diligent::IPipelineStateD3D11::GetD3D11DepthStencilState | ( |  | ) |
| pure virtual

Returns a pointer to the ID3D11DepthStencilState interface of the internal Direct3D11 object.

The method does NOT call AddRef() on the returned interface, so Release() must not be called.

Implemented in Diligent::PipelineStateD3D11Impl.

## ◆ GetD3D11DomainShader()

virtual ID3D11DomainShader* Diligent::IPipelineStateD3D11::GetD3D11DomainShader | ( |  | ) |
| pure virtual

Returns a pointer to the ID3D11DomainShader interface of the internal domain shader object.

The method does NOT call AddRef() on the returned interface, so Release() must not be called.

Implemented in Diligent::PipelineStateD3D11Impl.

## ◆ GetD3D11GeometryShader()

virtual ID3D11GeometryShader* Diligent::IPipelineStateD3D11::GetD3D11GeometryShader | ( |  | ) |
| pure virtual

Returns a pointer to the ID3D11GeometryShader interface of the internal geometry shader object.

The method does NOT call AddRef() on the returned interface, so Release() must not be called.

Implemented in Diligent::PipelineStateD3D11Impl.

## ◆ GetD3D11HullShader()

virtual ID3D11HullShader* Diligent::IPipelineStateD3D11::GetD3D11HullShader | ( |  | ) |
| pure virtual

Returns a pointer to the ID3D11HullShader interface of the internal hull shader object.

The method does NOT call AddRef() on the returned interface, so Release() must not be called.

Implemented in Diligent::PipelineStateD3D11Impl.

## ◆ GetD3D11InputLayout()

virtual ID3D11InputLayout* Diligent::IPipelineStateD3D11::GetD3D11InputLayout | ( |  | ) |
| pure virtual

Returns a pointer to the ID3D11InputLayout interface of the internal Direct3D11 object.

The method does NOT call AddRef() on the returned interface, so Release() must not be called.

Implemented in Diligent::PipelineStateD3D11Impl.

## ◆ GetD3D11PixelShader()

virtual ID3D11PixelShader* Diligent::IPipelineStateD3D11::GetD3D11PixelShader | ( |  | ) |
| pure virtual

Returns a pointer to the ID3D11PixelShader interface of the internal pixel shader object.

The method does NOT call AddRef() on the returned interface, so Release() must not be called.

Implemented in Diligent::PipelineStateD3D11Impl.

## ◆ GetD3D11RasterizerState()

virtual ID3D11RasterizerState* Diligent::IPipelineStateD3D11::GetD3D11RasterizerState | ( |  | ) |
| pure virtual

Returns a pointer to the ID3D11RasterizerState interface of the internal Direct3D11 object.

The method does NOT call AddRef() on the returned interface, so Release() must not be called.

Implemented in Diligent::PipelineStateD3D11Impl.

## ◆ GetD3D11VertexShader()

virtual ID3D11VertexShader* Diligent::IPipelineStateD3D11::GetD3D11VertexShader | ( |  | ) |
| pure virtual

Returns a pointer to the ID3D11VertexShader interface of the internal vertex shader object.

The method does NOT call AddRef() on the returned interface, so Release() must not be called.

Implemented in Diligent::PipelineStateD3D11Impl.